## org.apache.myfaces.custom.crosstable
Class UIColumns

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.apache.myfaces.custom.crosstable.UIColumns

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlColumns

public class UIColumns
extends javax.faces.component.UIData

Version:
  $Revision: 290681 $ $Date: 2005-09-21 07:10:54 -0400 (Wed, 21 Sep 2005) $
Author:
  Mathias Broekelmann (latest modification by $Author: mbr $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIData
`COMPONENT_FAMILY`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIColumns()`

Method Summary
`protected javax.faces.model.DataModel` `createDataModel()` Creates a new DataModel around the current value.
`void` `encodeTableBegin(javax.faces.context.FacesContext context)`
`void` `encodeTableEnd(javax.faces.context.FacesContext context)`
`protected javax.faces.model.DataModel` `getDataModel()`
`int` `getRowCount()`
`java.lang.Object` `getRowData()`
`int` `getRowIndex()`
`boolean` `isRowAvailable()`
`void` `processDecodes(javax.faces.context.FacesContext context)`
`void` `processUpdates(javax.faces.context.FacesContext context)`
`void` `processValidators(javax.faces.context.FacesContext context)`
`protected void` `restoreDescendantComponentStates(java.util.Iterator childIterator, java.lang.Object state)`
`protected java.lang.Object` `saveDescendantComponentStates(java.util.Iterator childIterator)`
`protected void` `setDataModel(javax.faces.model.DataModel dataModel)`
`void` `setRowIndex(int colIndex)`
`void` `setValue(java.lang.Object value)`
`void` `setValueBinding(java.lang.String name, javax.faces.el.ValueBinding binding)`

Methods inherited from class javax.faces.component.UIData
`broadcast, encodeBegin, encodeEnd, getClientId, getFamily, getFirst, getFooter, getHeader, getRows, getValue, getVar, queueEvent, restoreState, saveState, setFirst, setFooter, setHeader, setRows, setVar`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIColumns

    public UIColumns()

Method Detail

### isRowAvailable

    public boolean isRowAvailable()

### getRowCount

    public int getRowCount()

### getRowData

    public java.lang.Object getRowData()

### getRowIndex

    public int getRowIndex()

### setRowIndex

    public void setRowIndex(int colIndex)

### restoreDescendantComponentStates

    protected void restoreDescendantComponentStates(java.util.Iterator childIterator,
                                                    java.lang.Object state)

### saveDescendantComponentStates

    protected java.lang.Object saveDescendantComponentStates(java.util.Iterator childIterator)

### setValue

    public void setValue(java.lang.Object value)

  See Also:
    `UIData.setValue(java.lang.Object)`

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                javax.faces.el.ValueBinding binding)

### getDataModel

    protected javax.faces.model.DataModel getDataModel()

### setDataModel

    protected void setDataModel(javax.faces.model.DataModel dataModel)

### createDataModel

    protected javax.faces.model.DataModel createDataModel()

  Creates a new DataModel around the current value.

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  See Also:
    `UIData.processDecodes(javax.faces.context.FacesContext)`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  See Also:
    `UIData.processValidators(javax.faces.context.FacesContext)`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  See Also:
    `UIData.processUpdates(javax.faces.context.FacesContext)`

### encodeTableBegin

    public void encodeTableBegin(javax.faces.context.FacesContext context)

### encodeTableEnd

    public void encodeTableEnd(javax.faces.context.FacesContext context)